Hooks:PostHook( WeaponFactoryTweakData, "init", "Spring1903ModInit", function(self)

	self.parts.wpn_fps_snp_spring_ironsight.stance_mod = {
		wpn_fps_snp_spring = {
			translation = Vector3(0, -4, -1.25)
		}
	}
	self.parts.wpn_fps_snp_spring_ironsight.forbids = {
			"wpn_fps_upg_o_45iron",
			"wpn_fps_snp_model70_o_rail",
			"wpn_fps_upg_o_45rds",
			"wpn_fps_upg_o_45rds_v2",
			"wpn_fps_upg_o_xpsg33_magnifier"
		}
		
	self.parts.wpn_fps_snp_spring_o_scope.stance_mod = {
		wpn_fps_snp_spring = {
			translation = Vector3(0, -30, -2.375)
		}
	}
	self.parts.wpn_fps_snp_spring_o_scope.reticle_obj = nil
	self.parts.wpn_fps_snp_spring_o_scope.texture_switch = nil
	self.parts.wpn_fps_snp_spring_o_unrt.stance_mod = {
		wpn_fps_snp_spring = {
			translation = Vector3(0, -35, -2.375)
		}
	}
	self.parts.wpn_fps_snp_spring_o_unrt.reticle_obj = nil
	self.parts.wpn_fps_snp_spring_o_unrt.texture_switch = nil
	--self.parts.wpn_fps_snp_spring_o_unrt.adds.wpn_fps_upg_o_45iron = {"wpn_fps_snp_model70_o_rail"} crashing the game
	
	self.parts.wpn_fps_snp_spring_s_light.forbids = {"wpn_fps_snp_spring_s_rest"}
	
	
	--Unfortunately the addition of the optic rail makes it like the each time the gun cycle, the shell would jam when getting launched out..
	--Nothing I can do with platypus base
	self.wpn_fps_snp_spring.adds = {
		wpn_fps_upg_o_specter = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_aimpoint = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_aimpoint_2 = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_docter = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_eotech = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_t1micro = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_cmore = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_acog = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_cs = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_eotech_xps = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_reflex = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_rx01 = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_rx30 = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_shortdot = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_leupold = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_shortdot_vanilla = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_spot = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_upg_o_box = {"wpn_fps_snp_model70_o_rail"},
			wpn_fps_snp_spring_o_scope = {"wpn_fps_snp_model70_o_rail"},
			-- wpn_fps_upg_fl_ass_smg_sho_surefire = {"wpn_fps_snp_model70_fl_rail"},
			-- wpn_fps_upg_fl_ass_smg_sho_peqbox = {"wpn_fps_snp_model70_fl_rail"},
			-- wpn_fps_upg_fl_ass_peq15 = {"wpn_fps_snp_model70_fl_rail"},
			-- wpn_fps_upg_fl_ass_laser = {"wpn_fps_snp_model70_fl_rail"},
			-- wpn_fps_upg_fl_ass_utg = {"wpn_fps_snp_model70_fl_rail"}
	}
	
	--Tried to move the gadget so it doesn't almost blocks the ejection port but fails
	-- self.wpn_fps_snp_spring.override = {
		-- wpn_fps_upg_fl_ass_peq15 = {a_obj = "a_b"},
		-- wpn_fps_upg_fl_ass_smg_sho_peqbox = {a_obj = "a_b"},
		-- wpn_fps_upg_fl_ass_smg_sho_surefire = {a_obj = "a_b"},
		-- wpn_fps_upg_fl_ass_laser = {a_obj = "a_b"},
		-- wpn_fps_upg_fl_ass_utg = {a_obj = "a_b"},
		-- wpn_fps_addon_ris = {a_obj = "a_b"}
	-- }
	
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_shortdot.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_shortdot.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_45iron.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_45iron.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_box.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_box.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_snp_model70)
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_snp_spring = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_model70)
end )